
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlElementDecl;

public class XmlElementDeclBean
    implements XmlElementDecl
{

    private String name;
    private String defaultValue;
    private String namespace;
    private Class scope;
    private String substitutionHeadNamespace;
    private String substitutionHeadName;

    public XmlElementDeclBean(String name, String defaultValue, String namespace, Class scope, String substitutionHeadNamespace, String substitutionHeadName) {
        this.name = name;
        this.defaultValue = defaultValue;
        this.namespace = namespace;
        this.scope = scope;
        this.substitutionHeadNamespace = substitutionHeadNamespace;
        this.substitutionHeadName = substitutionHeadName;
    }

    public XmlElementDeclBean() {
    }

    public Class<XmlElementDecl> annotationType() {
        return XmlElementDecl.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlElementDecl)) {
            return false;
        }
        if (!name.equals(((XmlElementDeclBean) that).name)) {
            return false;
        }
        if (!defaultValue.equals(((XmlElementDeclBean) that).defaultValue)) {
            return false;
        }
        if (!namespace.equals(((XmlElementDeclBean) that).namespace)) {
            return false;
        }
        if (!scope.equals(((XmlElementDeclBean) that).scope)) {
            return false;
        }
        if (!substitutionHeadNamespace.equals(((XmlElementDeclBean) that).substitutionHeadNamespace)) {
            return false;
        }
        if (!substitutionHeadName.equals(((XmlElementDeclBean) that).substitutionHeadName)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^name.hashCode());
        r = (r^defaultValue.hashCode());
        r = (r^namespace.hashCode());
        r = (r^scope.hashCode());
        r = (r^substitutionHeadNamespace.hashCode());
        r = (r^substitutionHeadName.hashCode());
        return r;
    }

    public void name(String value) {
        name = value;
    }

    public String name() {
        return name;
    }

    public void defaultValue(String value) {
        defaultValue = value;
    }

    public String defaultValue() {
        return defaultValue;
    }

    public void namespace(String value) {
        namespace = value;
    }

    public String namespace() {
        return namespace;
    }

    public void scope(Class value) {
        scope = value;
    }

    public Class scope() {
        return scope;
    }

    public void substitutionHeadNamespace(String value) {
        substitutionHeadNamespace = value;
    }

    public String substitutionHeadNamespace() {
        return substitutionHeadNamespace;
    }

    public void substitutionHeadName(String value) {
        substitutionHeadName = value;
    }

    public String substitutionHeadName() {
        return substitutionHeadName;
    }

}
