
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlNs;

public class XmlNsBean
    implements XmlNs
{

    private String prefix;
    private String namespaceURI;

    public XmlNsBean(String prefix, String namespaceURI) {
        this.prefix = prefix;
        this.namespaceURI = namespaceURI;
    }

    public XmlNsBean() {
    }

    public Class<XmlNs> annotationType() {
        return XmlNs.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlNs)) {
            return false;
        }
        if (!prefix.equals(((XmlNsBean) that).prefix)) {
            return false;
        }
        if (!namespaceURI.equals(((XmlNsBean) that).namespaceURI)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^prefix.hashCode());
        r = (r^namespaceURI.hashCode());
        return r;
    }

    public void prefix(String value) {
        prefix = value;
    }

    public String prefix() {
        return prefix;
    }

    public void namespaceURI(String value) {
        namespaceURI = value;
    }

    public String namespaceURI() {
        return namespaceURI;
    }

}
