
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlNs;
import javax.xml.bind.annotation.XmlNsForm;
import javax.xml.bind.annotation.XmlSchema;

public class XmlSchemaBean
    implements XmlSchema
{

    private String location;
    private String namespace;
    private XmlNs[] xmlns;
    private XmlNsForm elementFormDefault;
    private XmlNsForm attributeFormDefault;

    public XmlSchemaBean(String location, String namespace, XmlNs[] xmlns, XmlNsForm elementFormDefault, XmlNsForm attributeFormDefault) {
        this.location = location;
        this.namespace = namespace;
        this.xmlns = xmlns;
        this.elementFormDefault = elementFormDefault;
        this.attributeFormDefault = attributeFormDefault;
    }

    public XmlSchemaBean() {
    }

    public Class<XmlSchema> annotationType() {
        return XmlSchema.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlSchema)) {
            return false;
        }
        if (!location.equals(((XmlSchemaBean) that).location)) {
            return false;
        }
        if (!namespace.equals(((XmlSchemaBean) that).namespace)) {
            return false;
        }
        if (!xmlns.equals(((XmlSchemaBean) that).xmlns)) {
            return false;
        }
        if (!elementFormDefault.equals(((XmlSchemaBean) that).elementFormDefault)) {
            return false;
        }
        if (!attributeFormDefault.equals(((XmlSchemaBean) that).attributeFormDefault)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^location.hashCode());
        r = (r^namespace.hashCode());
        r = (r^ 0);
        r = (r^ 0);
        r = (r^ 0);
        return r;
    }

    public void location(String value) {
        location = value;
    }

    public String location() {
        return location;
    }

    public void namespace(String value) {
        namespace = value;
    }

    public String namespace() {
        return namespace;
    }

    public void xmlns(XmlNs[] value) {
        xmlns = value;
    }

    public XmlNs[] xmlns() {
        return xmlns;
    }

    public void elementFormDefault(XmlNsForm value) {
        elementFormDefault = value;
    }

    public XmlNsForm elementFormDefault() {
        return elementFormDefault;
    }

    public void attributeFormDefault(XmlNsForm value) {
        attributeFormDefault = value;
    }

    public XmlNsForm attributeFormDefault() {
        return attributeFormDefault;
    }

}
